import'reflect-metadata';import*as React from'react';import {Outlet,json,useLoaderData,Meta,Links,ScrollRestoration,Scripts}from'@remix-run/react';import publicEnv from'@src/config/public-config';import {PluginArea}from'@common-stack/client-react';import {subscribeReduxRouter}from'@common-stack/remix-router-redux';import {ApplicationErrorHandler}from'@admin-layout/ant-ui';import {ConfigProvider}from'antd';import clientModules,{plugins}from'@app/frontend-stack-react/modules.js';import {useChangeLanguage}from'remix-i18next/react';import {useTranslation}from'react-i18next';import {i18nextInstance}from'@app/frontend-stack-react/i18n-localization/i18next.server.js';export{ErrorBoundary}from'@app/frontend-stack-react/entries/antui/components/ErrorBoundary';const loader = async ({ request }) => {
    const locale = await i18nextInstance.getLocale(request);
    return json({
        __ENV__: publicEnv,
        locale,
    });
};
const handle = {
    i18n: 'common',
};
function shouldRevalidate(params) {
    return params.defaultShouldRevalidate && params.currentUrl.pathname !== params.nextUrl.pathname;
}
function Layout({ children }) {
    const data = useLoaderData();
    const locale = data?.locale;
    const { i18n } = useTranslation();
    useChangeLanguage(locale);
    React.useEffect(() => {
        subscribeReduxRouter({ store: window.__remixStore, router: window.__remixRouter });
    }, []);
    const getConstants = () => {
        if (typeof window === 'undefined') {
            return (React.createElement(React.Fragment, null,
                React.createElement("script", { dangerouslySetInnerHTML: {
                        __html: `window.__ENV__ = ${JSON.stringify(data?.__ENV__)}`,
                    } }),
                React.createElement("script", { src: "https://cdnjs.cloudflare.com/ajax/libs/reflect-metadata/0.1.13/Reflect.min.js", integrity: "sha512-jvbPH2TH5BSZumEfOJZn9IV+5bSwwN+qG4dvthYe3KCGC3/9HmxZ4phADbt9Pfcp+XSyyfc2vGZ/RMsSUZ9tbQ==", crossOrigin: "anonymous", referrerPolicy: "no-referrer" }),
                React.createElement("script", null, "window.__APOLLO_STATE__=[__APOLLO_STATE__]"),
                React.createElement("script", null, "window.__PRELOADED_STATE__=[__PRELOADED_STATE__]"),
                React.createElement("script", null, "window.__SLOT_FILLS__=[__SLOT_FILLS__]"),
                React.createElement("script", { dangerouslySetInnerHTML: {
                        __html: `if (global === undefined) { var global = window; }`,
                    } })));
        }
        return null;
    };
    return (React.createElement("html", { lang: locale, dir: i18n.dir() },
        React.createElement("head", null,
            React.createElement("meta", { charSet: "utf-8" }),
            React.createElement("meta", { name: "viewport", content: "width=device-width, initial-scale=1" }),
            React.createElement(Meta, null),
            React.createElement(Links, null),
            typeof window === 'undefined' ? `[__STYLESHEET__]` : ''),
        React.createElement("body", null,
            React.createElement(PluginArea, null),
            clientModules.getWrappedRoot(children),
            React.createElement(ScrollRestoration, null),
            React.createElement(Scripts, null),
            getConstants())));
}
function App() {
    return (React.createElement(ApplicationErrorHandler, { plugins: plugins },
        React.createElement(ConfigProvider, null,
            React.createElement(Outlet, null))));
}export{Layout,App as default,handle,loader,shouldRevalidate};